## ebumeter 0.1.0~dfsg

=== source/Makefile ===
#  --------------------------------------------------------------------------
#
#  Copyright (C) 2010-2011 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  --------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
BINDIR = $(PREFIX)/bin
SHARED = $(PREFIX)/share/ebumeter
VERSION = 0.1.0
CPPFLAGS += -DVERSION=\"$(VERSION)\"
CPPFLAGS += -O2 -Wall -MMD -MP
CPPFLAGS += -march=native
LDFLAGS += -L$(PREFIX)/$(LIBDIR)


all:	ebur128 ebumeter


EBUR128_O = ebur128.o ebu_r128_proc.o audiofile.o dither.o 
ebur128:	LDLIBS += -lsndfile
ebur128:	$(EBUR128_O)
	g++ $(LDFLAGS) -o $@ $(EBUR128_O) $(LDLIBS)
$(EBUR128_O):
-include $(EBUR128_O:%.o=%.d)


EBUMETER_O = ebumeter.o jclient.o mainwin.o styles.o ebu_r128_proc.o ebu_r128_disp.o png2img.o \
	button.o guiclass.o 
ebumeter:	CPPFLAGS += -I/usr/include/freetype2
ebumeter:	CPPFLAGS += -DPREFIX=\"$(PREFIX)\" -DSHARED=\"$(SHARED)\"
ebumeter:	LDFLAGS += -L/usr/X11R6/$(LIBDIR)
ebumeter:	LDLIBS += -lclthreads -lclxclient -lpthread -ljack -lpng -lXft -lpng -lX11 -lrt
ebumeter:	$(EBUMETER_O)
	g++ $(LDFLAGS) -o $@ $(EBUMETER_O) $(LDLIBS)
$(EBUMETER_O):
-include $(EBUMETER_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 ebur128 $(DESTDIR)$(BINDIR)
	install -m 755 ebumeter $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/ebumeter
	rm -f  $(DESTDIR)$(BINDIR)/ebur128
	rm -rf $(DESTDIR)$(SHARED)


clean:
	rm -f *~ *.o *.a *.d *.so ebumeter ebur128

=== debian/changelog ===
ebumeter (0.1.0~dfsg-2) unstable; urgency=low

   [ Alessio Treglia ]
  * debian/watch: Strip ~dfsg from Debian version number.
  * wrap-and-sort -a -s
  * Update debian/copyright.
  * libpng12-dev -> libpng-dev (Closes: #662310)
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 10 Apr 2012 23:57:37 +0200

ebumeter (0.1.0~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #626533)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 12 May 2011 15:44:17 +0200

=== debian/control ===
Source: ebumeter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
DM-Upload-Allowed: yes
Build-Depends:
 binutils,
 debhelper (>= 7.0.50~),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.6.1),
 libjack-dev,
 libpng-dev,
 libsndfile1-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ebumeter.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ebumeter.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/

Package: ebumeter
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Loudness measurement according to EBU-R128
 These tools help controlling loudness of audio material aimed
 primarily for broadcasting, but they can be useful in other
 situation.
 .
 ebumeter and ebur158 allow users to measure Momentary (400 ms),
 Short term (3s) and Integrated Loudness (from start to stop).
 They can be used on audio files and signals through JACK.
 .
 This package contains two programs:
   * ebumeter - interactive meter working via jackd
   * ebur158 - the command line app to measure sound files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --sourcedir=source

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_auto_install:
	install -d $(CURDIR)/debian/ebumeter/usr/share/applications
	install -m 644 $(CURDIR)/debian/ebumeter.desktop \
		$(CURDIR)/debian/ebumeter/usr/share/applications/
	install -d $(CURDIR)/debian/ebumeter/usr/share/pixmaps/
	install -m 644 $(CURDIR)/debian/ebumeter32x32.xpm \
		$(CURDIR)/debian/ebumeter/usr/share/pixmaps/
	dh_auto_install

## ebumeter 0.2.0~dfsg0

=== source/Makefile ===
--- 
+++ 
@@ -24,10 +24,10 @@
 LIBDIR = lib$(SUFFIX)
 BINDIR = $(PREFIX)/bin
 SHARED = $(PREFIX)/share/ebumeter
-VERSION = 0.1.0
+VERSION = 0.2.0
 CPPFLAGS += -DVERSION=\"$(VERSION)\"
-CPPFLAGS += -O2 -Wall -MMD -MP
-CPPFLAGS += -march=native
+CXXFLAGS += -O2 -Wall -MMD -MP
+CXXFLAGS += -march=native
 LDFLAGS += -L$(PREFIX)/$(LIBDIR)

=== debian/changelog ===
ebumeter (0.2.0~dfsg0-3) unstable; urgency=low

  * Tighten build-dep on libclxclient.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 07 Aug 2013 01:33:03 +0200

ebumeter (0.2.0~dfsg0-2) unstable; urgency=low

  * Fix description. (Closes: #712399)
  * Bump standards.
  * Fix VCS canonical URLs.
  * Don't sign tags.
  * Added Keywords entry to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 16 Jun 2013 03:56:41 +0200

ebumeter (0.2.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Set compat/dh 9 to fix hardening.
  * Introduce doc package.
  * Update man pages.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 27 Sep 2012 10:12:43 +0200

=== debian/control ===
Source: ebumeter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 binutils,
 debhelper (>= 9),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libpng-dev,
 libsndfile1-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ebumeter.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ebumeter.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/

Package: ebumeter
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Loudness measurement according to EBU-R128
 These tools help controlling loudness of audio material aimed
 primarily for broadcasting, but they can be useful in other
 situation.
 .
 ebumeter and ebur128 allow users to measure Momentary (400 ms),
 Short term (3s) and Integrated Loudness (from start to stop).
 They can be used on audio files and signals through JACK.
 .
 This package contains two programs:
   * ebumeter - interactive meter working via jackd
   * ebur128 - the command line app to measure sound files

Package: ebumeter-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Description: Loudness measurement EBU-R128 - documentation
 These tools help controlling loudness of audio material aimed
 primarily for broadcasting, but they can be useful in other
 situation.
 .
 ebumeter and ebur128 allow users to measure Momentary (400 ms),
 Short term (3s) and Integrated Loudness (from start to stop).
 They can be used on audio files and signals through JACK.
 .
 This package contains html documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --sourcedir=source

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_auto_install:
	install -d $(CURDIR)/debian/tmp/usr/share/doc/ebumeter-doc
	install -m 644 $(CURDIR)/doc/* \
		$(CURDIR)/debian/tmp/usr/share/doc/ebumeter-doc/
	install -d $(CURDIR)/debian/tmp/usr/share/applications
	install -m 644 $(CURDIR)/debian/ebumeter.desktop \
		$(CURDIR)/debian/tmp/usr/share/applications/
	install -d $(CURDIR)/debian/tmp/usr/share/pixmaps/
	install -m 644 $(CURDIR)/debian/ebumeter32x32.xpm \
		$(CURDIR)/debian/tmp/usr/share/pixmaps/
	dh_auto_install

## ebumeter 0.4.0

=== source/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 LIBDIR = lib$(SUFFIX)
 BINDIR = $(PREFIX)/bin
 SHARED = $(PREFIX)/share/ebumeter
-VERSION = 0.2.0
+VERSION = 0.4.0
 CPPFLAGS += -DVERSION=\"$(VERSION)\"
 CXXFLAGS += -O2 -Wall -MMD -MP
 CXXFLAGS += -march=native
@@ -34,20 +34,20 @@
 all:	ebur128 ebumeter
 
 
-EBUR128_O = ebur128.o ebu_r128_proc.o audiofile.o dither.o 
-ebur128:	LDLIBS += -lsndfile
+EBUR128_O = ebur128.o ebu_r128_proc.o peak_proc.o audiofile.o dither.o 
+ebur128:	LDLIBS += -lsndfile -lzita-resampler
 ebur128:	$(EBUR128_O)
 	g++ $(LDFLAGS) -o $@ $(EBUR128_O) $(LDLIBS)
 $(EBUR128_O):
 -include $(EBUR128_O:%.o=%.d)
 
 
-EBUMETER_O = ebumeter.o jclient.o mainwin.o styles.o ebu_r128_proc.o ebu_r128_disp.o png2img.o \
-	button.o guiclass.o 
+EBUMETER_O = ebumeter.o jclient.o mainwin.o styles.o ebu_r128_proc.o ebu_r128_disp.o peak_proc.o \
+	png2img.o button.o guiclass.o 
 ebumeter:	CPPFLAGS += -I/usr/include/freetype2
 ebumeter:	CPPFLAGS += -DPREFIX=\"$(PREFIX)\" -DSHARED=\"$(SHARED)\"
 ebumeter:	LDFLAGS += -L/usr/X11R6/$(LIBDIR)
-ebumeter:	LDLIBS += -lclthreads -lclxclient -lpthread -ljack -lpng -lXft -lpng -lX11 -lrt
+ebumeter:	LDLIBS += -lclthreads -lclxclient -lzita-resampler -lpthread -ljack -lpng -lXft -lpng -lX11 -lrt
 ebumeter:	$(EBUMETER_O)
 	g++ $(LDFLAGS) -o $@ $(EBUMETER_O) $(LDLIBS)
 $(EBUMETER_O):

=== debian/changelog ===
ebumeter (0.4.0-4) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.1.0.
    + Use HTTPS in the Format field of d/copyright.
  * Fix cross build failure.  Closes: #873527
    + Drop implicitly satisfied build dependency on binutils
    + Make g++ substitutable in source/Makefile
    Thanks to Helmut Grohne <helmut@subdivi.de> for the patch.

  [ Laura Arjona Reina ]
  * Start the short description with a lowercase letter.  Closes: #873537

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 29 Aug 2017 14:49:14 +0200

ebumeter (0.4.0-3) unstable; urgency=medium

  * Sign tags.
  * Update copyright file.
  * Set dh 10.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 00:06:19 +0100

ebumeter (0.4.0-2) unstable; urgency=medium

  * Fix VCS fields.
  * Force parallel build.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 24 Jul 2016 18:35:37 +0200

ebumeter (0.4.0-1) unstable; urgency=medium

  [ Adrian Knoth ]
  * Update homepage link (Closes: #762466)

  [ Jaromír Mikeš ]
  * Imported Upstream version 0.4.0
  * Bump Standards.
  * Add libzita-resampler-dev as build-dep.
  * Refresh patch.
  * Fix VCS fields.
  * Remove menu file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 Jun 2016 19:11:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- binutils,
- debhelper (>= 9),
+ debhelper (>= 10),
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
  libjack-dev,
  libpng-dev,
- libsndfile1-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ebumeter.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ebumeter.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/
+ libsndfile1-dev,
+ libzita-resampler-dev
+Standards-Version: 4.1.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/ebumeter.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/ebumeter.git
+Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/ebumeter-doc/quickguide.html
 
 Package: ebumeter
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Description: Loudness measurement according to EBU-R128
+Description: loudness measurement according to EBU-R128
  These tools help controlling loudness of audio material aimed
  primarily for broadcasting, but they can be useful in other
  situation.
@@ -40,7 +40,7 @@
 Section: doc
 Depends:
  ${misc:Depends}
-Description: Loudness measurement EBU-R128 - documentation
+Description: loudness measurement EBU-R128 - documentation
  These tools help controlling loudness of audio material aimed
  primarily for broadcasting, but they can be useful in other
  situation.

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/ ebumeter-(.*)\.tar\.bz2

## ebumeter 0.4.2

=== source/Makefile ===
#  --------------------------------------------------------------------------
#
#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  --------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHARED ?= $(PREFIX)/share/ebumeter

VERSION = 0.4.2
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall -ffast-math -pthread
CXXFLAGS += -march=native


all:	ebur128 ebumeter


EBUR128_O = ebur128.o ebu_r128_proc.o peak_proc.o audiofile.o dither.o 
ebur128:	LDLIBS += -lsndfile -lzita-resampler
ebur128:	$(EBUR128_O)
	$(CXX) $(LDFLAGS) -o $@ $(EBUR128_O) $(LDLIBS)
$(EBUR128_O):
-include $(EBUR128_O:%.o=%.d)


EBUMETER_O = ebumeter.o jclient.o mainwin.o styles.o ebu_r128_proc.o \
	ebu_r128_disp.o peak_proc.o png2img.o button.o guiclass.o 
ebumeter:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
ebumeter:	CPPFLAGS += -DSHARED=\"$(SHARED)\"
ebumeter:	LDLIBS += -lclthreads -lclxclient -lzita-resampler \
	-lpthread -ljack -lpng -lXft -lpng -lX11 -lrt
ebumeter:	$(EBUMETER_O)
	$(CXX) $(LDFLAGS) -o $@ $(EBUMETER_O) $(LDLIBS)
$(EBUMETER_O):
-include $(EBUMETER_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 ebur128 $(DESTDIR)$(BINDIR)
	install -m 755 ebumeter $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/ebumeter
	rm -f  $(DESTDIR)$(BINDIR)/ebur128
	rm -rf $(DESTDIR)$(SHARED)


clean:
	rm -f *~ *.o *.a *.d *.so ebumeter ebur128

=== debian/changelog ===
ebumeter (0.4.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:53 +0100

ebumeter (0.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * d/control: mark ebumeter-doc as Multi-Arch:foreign.

  [ Felipe Sateler ]
  * d/control: change maintainer address to debian-multimedia@lists.debian.org .

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org .
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * d/ebumeter.desktop: add a French translation for the menu item and comment.
  * d/copyright: add myself in the debian section.
  * http > https in d/control, d/copyright and d/watch

  [ Dennis Braun ]
  * New upstream version
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.4.1
    + Add libfreetype6-dev and pkg-config to Build-Depends
  * d/copyright: Update copyright year and add myself
  * d/docs: Drop, otherwise README is installed twice
  * d/ebumeter.manpages: Fix path
  * d/patches: Update patchset
    + Update 01-makefile.patch
    + Drop 02-makefile.patch, obsolete
    + Add 03-pkg-config_fix.patch
  * d/source/local-options: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 20 Jan 2020 21:48:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: ebumeter
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
  libjack-dev,
+ libfreetype6-dev,
  libpng-dev,
  libsndfile1-dev,
- libzita-resampler-dev
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/ebumeter.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/ebumeter.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/ebumeter-doc/quickguide.html
+ libzita-resampler-dev,
+ pkg-config,
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/ebumeter.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ebumeter
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/ebumeter-doc/quickguide.html
 
 Package: ebumeter
 Architecture: any
@@ -37,6 +39,7 @@
 
 Package: ebumeter-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends}

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/ ebumeter-(.*)\.tar\.bz2

## ebumeter 0.5.1

=== source/Makefile ===
--- 
+++ 
@@ -1,29 +1,29 @@
-#  --------------------------------------------------------------------------
+# -------------------------------------------------------------------------
 #
-#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
+#    Copyright (C) 2010-2023 Fons Adriaensen <fons@linuxaudio.org>
+#    
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
 #
-#  This program is free software; you can redistribute it and/or modify
-#  it under the terms of the GNU General Public License as published by
-#  the Free Software Foundation; either version 2 of the License, or
-#  (at your option) any later version.
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
 #
-#  This program is distributed in the hope that it will be useful,
-#  but WITHOUT ANY WARRANTY; without even the implied warranty of
-#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#  GNU General Public License for more details.
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-#  You should have received a copy of the GNU General Public License
-#  along with this program; if not, write to the Free Software
-#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-#  --------------------------------------------------------------------------
+# -------------------------------------------------------------------------
 
 
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
 SHARED ?= $(PREFIX)/share/ebumeter
 
-VERSION = 0.4.2
+VERSION = 0.5.1
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
 CXXFLAGS += -O2 -Wall -ffast-math -pthread
 CXXFLAGS += -march=native

=== debian/changelog ===
ebumeter (0.5.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:22 +1100

ebumeter (0.5.1-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:22:26 +0000

ebumeter (0.5.1-1) unstable; urgency=medium

  [ Dennis Braun ]
  * Fix desktop icon

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * New upstream version 0.5.1
  * Refresh Makefile patch
  * Change my email address
  * d/control:
    + Bump Standards-Version to 4.6.2
    + Build-Depends: libfreetype6-dev => libfreetype-dev
    + Use libjack-jackd2-dev as optional B-D
  * Bump d/copyright years
  * d/gbp.conf: Remove wrong compression
  * Add salsa ci config
  * d/watch:
  * Use @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
  * Bump the version to 4

 -- Dennis Braun <snd@debian.org>  Wed, 14 Jun 2023 22:40:14 +0200

ebumeter (0.4.2-2) unstable; urgency=medium

  * Add a new icon
  * d/control:
    + Bump dh-compat to 13
    + Bump S-V to 4.5.0
    + Set RRR: no
    + Add me as uploader
  * Update patchset, fix pkgconf installation properly
  * Use install files for installation, no need to override auto install
  * d/rules:
    + Use --sourcedirectory instead of --sourcedir and fix install files
    + Remove obsolete LDFLAGS export

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 02 May 2020 16:56:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: ebumeter
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <snd@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
- libclthreads-dev (>= 2.4.0),
- libclxclient-dev (>= 3.9.0),
- libjack-dev,
- libfreetype6-dev,
+ debhelper-compat (= 13),
+ libclthreads-dev,
+ libclxclient-dev,
+ libjack-dev | libjack-jackd2-dev,
+ libfreetype-dev,
  libpng-dev,
  libsndfile1-dev,
  libzita-resampler-dev,
  pkg-config,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/ebumeter.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ebumeter
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/ebumeter-doc/quickguide.html

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildtools.mk

export PKG_CONF=$(PKG_CONFIG)

export PREFIX=/usr

%:
	dh $@ --sourcedirectory=source

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=4
opts=dversionmangle=s/~dfsg.*// \
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/ @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
